<template>
  <div style="width: 100%; text-align: center">
    <!-- FILTER -->
    <div class="admin" id="top_admin">
      <blogger-filter></blogger-filter>
    </div>

    <!-- EMAIL CONTENT -->
    <div ref="emailContent" class="emailContent" style="width: 100%">
      <!-- EMAIL HEADER -->
      <div
        class="emailHeader"
        style="width: 100%;"
      >
        <div
          style="width: 70%; text-align: left; margin: auto; padding-left: 20px"
        >
          <a href="#" target="_blank"
            ><img
              src="https://rs-folder.s3.amazonaws.com/img/LTK-logo-red.png"
              class="title_logo_img"
              style="width: 100px"
          /></a>
        </div>

        <div
          style="
            width: 30%;
            padding: 20px 20px;
            margin-right: 0px;
            text-align: right;
          "
        >
          <a
            style="
              font-weight: 600;
              color: #e34e4d;
              padding-left: 20px;
              font-size: 15px;
            "
            href="https://about.liketoknow.it/about?utm_source=newsletter&utm_medium=email&utm_campaign=trend-alert"
            target="_blank"
            >Shop</a
          >
          <a
            style="
              font-weight: 600;
              color: #e34e4d;
              padding-left: 20px;
              font-size: 15px;
            "
            href="https://www.liketoknow.it/liked?utm_source=newsletter&utm_medium=email&utm_campaign=trend-alert"
            target="_blank"
            >My Likes</a
          >
        </div>
      </div>

      <div class="emailTitle">
        <div contenteditable="true" @input="change">{{ top_pick }}</div>
      </div>

      <div class="emailDescription" contenteditable="true" @input="changetitle">
        {{ title_top_pick }}
      </div>

      <!-- EMAIL BODY -->
      <div style="width: 100%">
        <div v-for="(chuckdata, idx) in chuckDataTopPick" :key="idx">
          <div
            class="emailbodyrow"
            v-for="(top_pick, index) in chuckdata"
            :key="index"
            tabindex="-1"
          >
            <Blogger :top_pick="top_pick" :index="idx * 3 + index" />
          </div>
          <div style="width: 100%">
            <button
              v-if="!GETTER_DATA_BANNER[idx].adv_link"
              @click="addBanner(idx)"
              class="removebtn btn btn-link d-flex align-items-center"
            >
              <svg data-v-61d6edde="" xmlns="http://www.w3.org/2000/svg" width="9" height="9" viewBox="0 0 9 9" fill="none"><path data-v-61d6edde="" d="M4.16504 1V7.32992" stroke="#1B6EA0" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path><path data-v-61d6edde="" d="M7.32992 4.16504H1" stroke="#1B6EA0" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path></svg>
              <span style="margin-left:5px">Add Banner</span>
            </button>
            <button
              class="removebtn btn btn-link"
              @click="deleteBanner(idx)"
              v-else
            >
              <i class="fa fa-minus" aria-hidden="true"></i> Remove Banner
            </button>
          </div>
          <div
            style="width: 100%; margin-bottom: 55px"
            v-if="GETTER_DATA_BANNER[idx].adv_link != null"
          >
            <div v-if="GETTER_DATA_BANNER[idx]">
              <img
                class="leadedBoardImage"
                :src="GETTER_DATA_BANNER[idx].leaderBoardImage"
                :alt="GETTER_DATA_BANNER[idx].adv_link"
              />
            </div>
          </div>
          <div v-else style="margin-bottom: 55px"></div>
        </div>
        <br />
        <div class="buttonContainer">
          <button class="btn btn-link" @click="addNewRow">
            <svg xmlns="http://www.w3.org/2000/svg" width="9" height="9" viewBox="0 0 9 9" fill="none">
<path d="M4.16504 1V7.32992" stroke="#1B6EA0" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M7.32992 4.16504H1" stroke="#1B6EA0" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
</svg> Add new row
          </button>
          <button class="btn btn-link" @click="deleteRow">
            <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14" fill="none">
<path d="M10.3667 4.03809L3.96352 10.4413" stroke="#1B6EA0" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M10.3666 10.4413L3.96338 4.03809" stroke="#1B6EA0" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
</svg> Remove row
          </button>
          <!-- <button class="btn btn-link" @click="addBanner">
            <i class="fa fa-plus" aria-hidden="true"></i> Add Banner
          </button> -->
        </div>
      </div>
      <!-- FOOTER EMAIL -->

      <div class="emailFooter">
        <a
          href="#"
          target="_blank"
          style="
            display: inline-block;
            color: black;
            text-transform: capitalize;
          "
        >
          <img
            height="auto"
            src="https://rs-folder.s3.amazonaws.com/img/LTK-logo-red.png"
            style="
              border: 0;
              display: block;
              outline: none;
              text-decoration: none;
              height: auto;
              width: 150px;
            "
            width="191"
          />
        </a>
        <br /><br />
        <p>
          <span style="font-weight: bold">
            Learn more about
            <a
              href="https://www.rewardstyle.com/?utm_source=newsletter&utm_medium=email&utm_campaign=trend-alert"
              target="_blank"
              style="
                display: inline-block;
                color: black;
                text-transform: capitalize;
              "
              >influencers</a
            >
            +
            <a
              href="https://www.rewardstyle.com/about/brands//?utm_source=newsletter&utm_medium=email&utm_campaign=trend-alert"
              target="_blank"
              style="
                display: inline-block;
                color: black;
                text-transform: capitalize;
              "
              >brands</a
            >
          </span>
          <br />
          <br />

          <a
            target="_blank"
            href="https://www.liketoknow.it/legal/terms/?utm_source=newsletter&utm_medium=email&utm_campaign=trend-alert"
            style="display: inline-block; color: black; text-transform: none;"
            >Terms of Service</a
          >
          |
          <a
            href="https://www.liketoknow.it/legal/privacy/?utm_source=newsletter&utm_medium=email&utm_campaign=trend-alert"
            target="_blank"
            style="
              display: inline-block;
              color: black;
              text-transform: capitalize;
            "
            >privacy policy</a
          >
          |
          <a
          href="https://www.liketoknow.it/legal/cookie-policy/?utm_source=newsletter&utm_medium=email&utm_campaign=trend-alert"
            target="_blank"
            style="
              display: inline-block;
              color: black;
              text-transform: capitalize;
            "
            >cookie policy</a
          >
          |
          <a
           href="https://www.liketoknow.it/legal/virtual-patent/?utm_source=newsletter&utm_medium=email&utm_campaign=trend-alert"
            target="_blank"
            style="
              display: inline-block;
              color: black;
              text-transform: capitalize;
            "
            >patents</a
          >
          |
          <a
            href="https://help.liketoknow.it/?utm_source=newsletter&utm_medium=email&utm_campaign=trend-alert"
            target="_blank"
            style="
              display: inline-block;
              color: black;
              text-transform: capitalize;
            "
            >help center</a
          >
          |
          <a
            :href="preference_center_url"
            target="_blank"
            style="
              display:inline-block;color:#000000;text-transform:capitalize;text-decoration:underline;
            "
            >unsubscribe</a
          >
          <br />
          You're receiving this email because you registered for LIKEtoKNOW.it
          and opted in to our newsletters
          <br />

          rewardStyle 3102 Oak Lawn Ave. 9th Floor Dallas, TX 75219 USA ©
          <a
            href="#"
            style="
              display: inline-block;
              color: black;
              text-transform: capitalize;
            "
            >LIKEtoKNOW.it</a
          >
          2021 | All Rights Reserved

          <br /><br />This is an auto-generated message from rewardStyle. Please
          do not reply to this message, as we cannot respond to messages sent to
          this address.<br /><br />This message and any attachments contain
          Confidential and Proprietary Information of rewardStyle, Inc. It may
          be read and used only by the intended recipient. Any use by a person
          other than its intended recipient, or by the intended recipient for
          purposes other than the intended purpose (included but not limited to
          reproduction, distribution or taking screenshots of the message or
          attachments) is strictly prohibited. If you receive this message in
          error, please notify the sender immediately and delete the message and
          any attachments.
        </p>

        <br />

        <div style="display: 100%; margin: auto">
          <a
            href="https://ltk.app.link/xBuJxnP6NV"
            target="_blank"
            style="
              display: inline-block;
              color: black;
              text-transform: capitalize;
            "
          >
            <img
              height="35"
              src="https://rs-folder.s3.amazonaws.com/img/app-store-dl-apple.png"
              style="
                border: 0;
                display: block;
                outline: none;
                text-decoration: none;
                height: 35px;
              "
              width="110"
            />
          </a>

          <a
            href="https://ltk.app.link/FOOVWzL6NV"
            target="_blank"
            style="
              display: inline-block;
              color: black;
              text-transform: capitalize;
            "
          >
            <img
              height="35"
              src="https://rs-folder.s3.amazonaws.com/img/app-store-dl-android.png"
              style="
                border: 0;
                display: block;
                outline: none;
                text-decoration: none;
                height: 35px;
              "
              width="110"
            />
          </a>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Blogger from "../components/Blogger.vue";
import { mapGetters } from "vuex";
import BloggerFilter from "../components/BloggerFilter.vue";
import Advertisement from "../components/Advertisement";
import { ModalBus } from "../eventBus";
import _ from "lodash";

// import Dropdown from "../components/common/Dropdown.vue";
// import DropdownContent from "../components/common/DropdownContent.vue";
// import DropdownItem from "../components/common/DropdownItem.vue";

export default {
  data() {
    return {
      showAddBanner: false,
      top_pick: "TREND ALERT",
      preference_center_url:'{{${preference_center_url}}}',
      title_top_pick:
        "Casual chic for spring has never been easier. Check out this week’s looks from some of Instagram’s most stylish bloggers!",
    };
  },
  components: {
    Blogger,
    BloggerFilter,

    // Dropdown,
    // DropdownContent,
    // DropdownItem,
  },
  mounted() {
    this.top_pick = this.GETTER_TOP_PICK;
    this.title_top_pick = this.GETTER_TITLE_TOP_PICK;
  },

  computed: {
    ...mapGetters([
      "GETTER_DATA_TOP_PICK",
      "GETTER_DATA_IS_LEADER_BOARD_IMAGE",
      "GETTER_DATA_LEADER_BOARD_IMAGE",
      "GETTER_DATA_IS_MOBILE_IMAGE",
      "GETTER_DATA_MOBILE_IMAGE",
      "GETTER_DATA_IS_ADV_LINK",
      "GETTER_DATA_ADV_LINK",
      "GETTER_DATA_ADVERTISEMENT_ENABLE",
      "GETTER_DATA_BANNER",
      "GETTER_TITLE_TOP_PICK",
      "GETTER_TOP_PICK",
    ]),
    chuckDataTopPick() {
      return _.chunk(this.GETTER_DATA_TOP_PICK, 3);
    },
  },
  methods: {
    addBanners(idx) {
      console.log(idx);
    },
    change(e) {
      this.$store.dispatch("ACTION_CHANGE_TOP_PICK", {
        topPick: e.target.innerText,
      });
    },
    deleteBanner(index) {
      this.$store.dispatch("ACTION_DELETE_BANNER_BY_ID", { index });
    },
    hideBanner(index) {},
    addBanner(idx) {
      this.$store.dispatch("ACTION_SET_FILTER", { id: "adv", value: "Add" });
      ModalBus.$emit("open", {
        component: Advertisement,
        title: "Advertisement",
        props: {
          idx,
        },
        mode: "fiftyPercent",
        closeOnClick: false,
      });
    },
    changetitle(e) {
      this.$store.dispatch("ACTION_CHANGE_TITLE_TOP_PICK", {
        titleTopPick: e.target.innerText,
      });
    },
    addNewRow() {
      this.$store.dispatch("ACTION_ADD_NEW_ROW");
    },
    deleteRow() {
      this.$store.dispatch("ACTION_DELETE_ROW");
    },
  },
};
</script>

<style scoped>
a,
a:hover {
  text-decoration: none;
}
.admin {
  text-align: right;
  display: block;
  /* background-color: #ccc; */
  padding: 20px 0;
}

.select-style {
  padding: 0 5px;
  font-size: 12px;
  display: inline-block;
}
h2 {
  color: #888888 !important;
  display: block;
  font-family: Didot, "Palatino Linotype", Palatino, "Book Antigua", serif;
  font-size: 14px;
  font-size: 1.5vw;
  font-style: italic;
  font-weight: normal;
  line-height: 120%;
  margin: 0;
  text-align: center;
}

.shop {
  display: inline-block;
  width: 30%;
  /* height: 200px; */
  margin: 5px;
  min-width: 150px;
}

.blogger_name {
  color: #000000 !important;
  display: block;
  font-family: Gotham, "Gill Sans", sans-serif;
  font-size: 14px;
  font-style: normal;
  font-weight: normal;
  line-height: 100%;
  letter-spacing: normal;
  margin-top: 35px;
  margin-right: 0;
  margin-bottom: 35px;
  margin-left: 0;
  text-align: center;
  letter-spacing: 1px;
  text-transform: uppercase;
}
.hero_img {
  background-color: #ccc;
  border: 1px dotted gray;
  display: block;
  width: 100%;
  min-width: 150px;
  max-width: 200px;
  min-height: 200px;
  /* height: 150px; */
  margin: 2px;
}

.hero_img img {
  max-width: 190px;
}

.thumb_img {
  display: inline-block;
  background-color: #ccc;
  border: 1px dotted gray;
  width: 20%;
  min-width: 30px;
  height: 30px;
  margin: 2px;
}

.thumb_img img {
  max-width: 30px;
  min-width: 30px;
  width: 30px;
}

.form-control {
  width: 90%;
  height: 50px;
}
.form-control[placeholder]:empty:before {
  content: attr(placeholder);
  color: #ccc;
}

select {
  border: none;
  background-color: #fff;
  font-weight: bold;
  /* float: right; */
}

.emailContent {
  border: 1px solid #1b6ea0;
  border-radius: 5px;
  overflow: hidden;
}

.emailHeader {
  width: 100%;
  display: inline-flex;
  padding-top: 25px;
  padding-bottom: 25px;
  vertical-align: middle;
  /* padding-left: 20px;
  padding-right: 20px; */
}

.emailHeader div {
  vertical-align: middle;
}

.emailTitle {
  width: 100%;
  background-color: #e34e4d;
  height: 5px;
  text-align: center;
}

.emailTitle div {
  /* width: 200px; */
  color: #ffffff;
  font-weight: normal;
  letter-spacing: 1px;
  font-family: Gotham, "Gill Sans", sans-serif;
  text-transform: uppercase;
  display: inline-block;
  margin: 0px auto 10px auto;
  text-align: center;
  background-color: #e34e4d;
  padding: 10px;
  min-width: 25%;
  max-width: 50%;
}

.emailDescription {
  color: #888888 !important;
  display: block;
  font-family: Didot, "Palatino Linotype", Palatino, "Book Antigua", serif;
  font-size: 14px;
  font-style: italic;
  font-weight: normal;
  line-height: 120%;
  margin: 60px auto 0;
  text-align: center;
  width: 80%;
  border-bottom: 1px solid #e4e4e4;
  padding-bottom: 15px;
}

.emailFooter {
  width: 100%;
  height: 150px;
  overflow-y: auto;
  text-align: center;

  font-family: "Montserrat", sans-serif;
  font-size: 11px;
  line-height: 16px;
  text-align: center;
  color: black;
  padding: 20px;
  margin: 30px auto 0;
  background-color: #f2f2f2;
}

.emailFooter a {
  text-decoration: underline;
}

.emailbodyrow {
  display: inline-block;
  border-radius: 4px;
  border: 0.5px dashed #fff;
  width: 30%;
  /* padding: 15px; */
  /* min-width: 200px; */
  margin: 10px;
  padding: 10px 0;
  vertical-align: top;
}

.emailbodyrow:focus {
  /* background: rgb(240, 240, 240); */
  border: 0.5px dashed #5787a4;
  border-radius: 4px;
  outline: none;
}

.emailbodyrow:hover {
  /* background: rgb(240, 240, 240); */
  border: 0.5px dashed #5787a4;
  border-radius: 4px;
}

.buttonContainer {
  background: rgba(87, 135, 164, 0.05);
  border: 0.5px dashed #5787a4;
  box-sizing: border-box;
  border-radius: 4px;
  width: 90%;
  margin: auto;
  padding: 10px;
}

.leadedBoardImage {
  width: 90%;
  margin: auto;
  /* padding: 10px; */
  padding-bottom: 20px;
}

.removebtn {
  float: right;
  margin-bottom: 20px;
}

.buttonAddBanner {
  border: 0.5px dashed #5787a4;
  box-sizing: border-box;
  border-radius: 4px;
  width: 20%;
  margin: auto;
  padding: 10px;
}

.sale_banner {
  border: 0.5px dashed #fff;
}

.sale_banner:hover,
.sale_banner:focus {
  border: 0.5px dashed #5787a4;
}
</style>
